Get Single Transaction
POST /papi/v1/ramp/connect/prime/transaction
Request Body
| Field | Type | Mandatory | Remarks |
|---|---|---|---|
| orderId | string | Yes | Binance order ID |
Example
{
"orderId": "1234567890"
}
curl -X POST https://{domain}/papi/v1/ramp/connect/prime/transaction \
-H 'Content-Type: application/json' \
-H 'X-Tesla-ClientId: {your client id}' \
-H 'X-Tesla-SignAccessToken: {your access token}' \
-H 'X-Tesla-Timestamp: {now}' \
-H 'X-Tesla-Signature: {signature}' \
-d '{"orderId":""}'
Response Body
| Field | Type | Remarks |
|---|---|---|
| orderId | string | Binance order ID |
| clientOrderId | string | Client side order ID |
| direction | string | BUY or SELL |
| fiatCurrency | string | Fiat currency |
| cryptoCurrency | string | Crypto currency |
| fiatAmount | decimal | Fiat amount |
| cryptoAmount | decimal | Crypto Amount |
| price | decimal | Price. 1 crypto currency= {price} fiat currency |
| status | string | PROCESSING / FILLED / FAILED |
| spreadAmount | string | Revenue from Spread (in Fiat Currency) |
| createTime | timestamp | Order creation time (UTC) |
| settleTime | timestamp | Settlement time (UTC) |
Example
{
"orderId": "1234567890",
"clientOrderId": "myOrder001",
"direction": "BUY",
"fiatCurrency": "EUR",
"cryptoCurrency": "BTC",
"fiatAmount": 100,
"cryptoAmount": 0.00102181,
"price": 97849.27,
"status": "FILLED",
"spreadAmount": "0.99",
"createTime": "1692951399",
"settleTime": "1692954999"
}